### Function

# GLib Bytes new

since: 2.32

#### Declaration [src]

    GBytes*
    g_bytes_new (
      gconstpointer data,
      gsize size
    )

#### Description [src]

Creates a new `GBytes` from `data`.

`data` is copied. If `size` is 0, `data` may be `NULL`.

As an optimization, `g_bytes_new()` may avoid an extra allocation by copying the data within the resulting bytes structure if sufficiently small (since GLib 2.84).

Available since: 2.32

#### Parameters

`data`

  Type: An array of `guint8`

  the data to be used for the bytes.

  The length of the array is specified in the `size` argument.

`size`

  Type: `gsize`

  The size of `data`.

#### Return value

Type: `GBytes`

A new `GBytes`.

The caller of the function takes ownership of the data, and is responsible for freeing it.